ldap_compare
ldap_control_paged_result_response
LDAP Functions
PHP Manual

# ldap_connect

Connect to an LDAP server

### Description

resource ldap_connect ([ string `$hostname` = `NULL` [, int `$port` = 389 ]] )

Establishes a connection to a LDAP server on a specified `hostname` and `port`.

### Parameters

`hostname`

  If you are using OpenLDAP 2.x.x you can specify a URL instead of the hostname. To use LDAP with SSL, compile OpenLDAP 2.x.x with SSL support, configure PHP with SSL, and set this parameter as ldaps://hostname/.

`port`

  The port to connect to. Not used when using URLs.

### Return Values

Returns a positive LDAP link identifier on success, or `FALSE` on error. When OpenLDAP 2.x.x is used, ldap_connect will always return a resource as it does not actually connect but just initializes the connecting parameters. The actual connect happens with the next calls to ldap_* funcs, usually with ldap_bind.

If no arguments are specified then the link identifier of the already opened link will be returned.

### Changelog

Version | Description
--- | ---
4.0.4 | URL and SSL support was added.

### Examples

Example #1 Example of connecting to LDAP server.

`<?php
// LDAP variables
$ldaphost = "ldap.example.com"; // your ldap servers
$ldapport = 389; // your ldap server's port number
// Connecting to LDAP
$ldapconn = ldap_connect($ldaphost, $ldapport)
or die("Could not connect to $ldaphost");
?>`

Example #2 Example of connecting securely to LDAP server.

`<?php
// make sure your host is the correct one
// that you issued your secure certificate to
$ldaphost = "ldaps://ldap.example.com/";
// Connecting to LDAP
$ldapconn = ldap_connect($ldaphost)
or die("Could not connect to {$ldaphost}");
?>`

### See Also

- ldap_bind